Organization settings
Get Employee Dashboard Bff
Builds the employee stablecoin-payroll dashboard: wallets, allocations, payment history, monthly token breakdown, embedded-wallet balance.
GEThttps://api.toku.com/hris/get-employee-dashboard-bff
Not available to API keys.
curl --request GET \
--url 'https://api.toku.com/hris/get-employee-dashboard-bff' \
--header 'Authorization: Bearer <token>'200 response
{
"name": "string",
"tokenCompensation": [
{
"id": "string",
"network": "string",
"networkSymbol": "string",
"networkIcon": "string",
"tokenSymbol": "string",
"tokenIcon": "string",
"value": "string"
}
],
"resumeBoard": {
"recentPayment": "string",
"recentPayPeriod": "string",
"tokenAmountUSD": "string",
"tokenType": "string"
},
"hasReceivedPayments": true,
"hasVerifiedWallet": true,
"hasAllocation": true,
"currentStep": "NOT_STARTED",
"haveMultipleWallets": true,
"paymentsList": [
{
"id": "string",
"date": "string",
"type": "string",
"tokenIcon": "string",
"amount": 0,
"status": "string",
"fiatAmount": "string",
"fiatCurrency": "string",
"exchangeRate": "string"
}
],
"tokenBreakdownChart": [
{}
],
"tokuWalletStatus": {
"privyWalletID": "string",
"roleInOrgID": "string",
"walletID": "string",
"privyDID": "string",
"createdWithEmail": "string",
"createdAt": "string",
"updatedAt": "string"
},
"walletTokenBalance": {
"walletAddress": "string",
"tokenAddress": "string",
"balance": "string",
"formattedBalance": "string",
"decimals": 0,
"tokenName": "string",
"tokenSymbol": "string",
"tokenIconUrl": "string",
"networkName": "string",
"networkChainId": 0,
"networkIconUrl": "string",
"blockExplorerBaseUrl": "string",
"networkAppUrl": "string",
"lastUpdated": "string"
}
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Response
200Successful response
namestringrequiredtokenCompensationobject[]requiredShow child attributes
idstringrequirednetworkstringrequirednetworkSymbolstringrequirednetworkIconstringtokenSymbolstringrequiredtokenIconstringvaluestringrequiredresumeBoardobjectrequiredShow child attributes
recentPaymentstring | nullrequiredrecentPayPeriodstring | nullrequiredtokenAmountUSDstring | nullrequiredtokenTypestring | nullrequiredhasReceivedPaymentsbooleanrequiredhasVerifiedWalletbooleanrequiredhasAllocationbooleanrequiredcurrentStepstringrequiredAvailable options: NOT_STARTED, WALLET_PENDING, WALLET_VERIFIED_NO_ALLOCATION, ALLOCATION_COMPLETE
haveMultipleWalletsbooleanrequiredpaymentsListobject[]requiredShow child attributes
idstringrequireddatestringrequiredtypestringrequiredtokenIconstring | nullrequiredamountnumberrequiredstatusstringrequiredfiatAmountstringrequiredfiatCurrencystringrequiredexchangeRatestringrequiredtokenBreakdownChartobject[]requiredtokuWalletStatusobject | nullrequiredShow child attributes
privyWalletIDstringrequiredroleInOrgIDstringrequiredwalletIDstringrequiredprivyDIDstringrequiredcreatedWithEmailstringrequiredcreatedAtstringrequiredupdatedAtstringrequiredwalletTokenBalanceobject | nullrequiredShow child attributes
walletAddressstringrequiredtokenAddressstringbalancestringrequiredformattedBalancestringrequireddecimalsnumberrequiredtokenNamestringrequiredtokenSymbolstringrequiredtokenIconUrlstringnetworkNamestringrequirednetworkChainIdnumbernetworkIconUrlstringblockExplorerBaseUrlstringnetworkAppUrlstringlastUpdatedstringrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits